Package io.vertx.ext.shell.command

## Class AnnotatedCommand

- java.lang.Object
- - io.vertx.ext.shell.command.AnnotatedCommand

- Direct Known Subclasses:
    `BusPublish`, `BusTail`, `Echo`, `FileSystemCd`, `FileSystemLs`, `FileSystemPwd`, `Help`, `LocalMapGet`, `LocalMapPut`, `LocalMapRm`, `NetCommandLs`, `Sleep`, `VerticleDeploy`, `VerticleFactories`, `VerticleLs`, `VerticleUndeploy`

      public abstract class AnnotatedCommand
      extends Object

  The base command class that Java annotated command should extend.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnnotatedCommand()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CLI` | `cli()` |
    `void` | `complete​(Completion completion)` | Perform command completion, when the command is done completing it should call `Completion.complete(List)` or `Completion.complete(String, boolean)` )} method to signal completion is done.
    `String` | `name()` |
    `abstract void` | `process​(CommandProcess process)` | Process the command, when the command is done processing it should call the `CommandProcess.end()` method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotatedCommand

          public AnnotatedCommand()

  - ### Method Detail

    - #### name

          public String name()

      Returns:
        the command name

    - #### cli

          public CLI cli()

      Returns:
        the command line interface, can be null

    - #### process

          public abstract void process​(CommandProcess process)

      Process the command, when the command is done processing it should call the `CommandProcess.end()` method.
      Parameters:
        `process` - the command process

    - #### complete

          public void complete​(Completion completion)

      Perform command completion, when the command is done completing it should call `Completion.complete(List)` or `Completion.complete(String, boolean)` )} method to signal completion is done.
      Parameters:
        `completion` - the completion object